package com.dgtly.system.service;

import com.dgtly.system.domain.UserTemperature;
import java.util.List;

/**
 * 体温信息Service接口
 * 
 * @author dgtly
 * @date 2020-02-15
 */
public interface IUserTemperatureService 
{
    /**
     * 查询体温信息
     * 
     * @param id 体温信息ID
     * @return 体温信息
     */
    public UserTemperature selectUserTemperatureById(Long id);

    /**
     * 查询体温信息列表
     * 
     * @param userTemperature 体温信息
     * @return 体温信息集合
     */
    public List<UserTemperature> selectUserTemperatureList(UserTemperature userTemperature);

    /**
     * 新增体温信息
     * 
     * @param userTemperature 体温信息
     * @return 结果
     */
    public int insertUserTemperature(UserTemperature userTemperature);

    /**
     * 修改体温信息
     * 
     * @param userTemperature 体温信息
     * @return 结果
     */
    public int updateUserTemperature(UserTemperature userTemperature);

    /**
     * 批量删除体温信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteUserTemperatureByIds(String ids);

    /**
     * 删除体温信息信息
     * 
     * @param id 体温信息ID
     * @return 结果
     */
    public int deleteUserTemperatureById(Long id);
}
